# Class Controller

#### Hierarchy

- Controller

- Defined in src/map/component.js:69

#####
Index

### Properties

$element_
gmfPermalink_
gmfSnapping_
map

### Methods

$onInit

## Properties

### $element_

$element_: HTMLElement

- Defined in src/map/component.js:92

### gmfPermalink_

gmfPermalink_: any

- Defined in src/map/component.js:82

### gmfSnapping_

gmfSnapping_: any

- Defined in src/map/component.js:87

### map

map: Map

- Defined in src/map/component.js:75

## Methods

### $onInit

- $onInit(): void

- Called on initialization of the controller.

  #### Returns void

  - Defined in src/map/component.js:98

Generated using TypeDoc